#define __python /usr/bin/python2.7
#global pyver 27
#global pybindir /usr/lib/python2.7/bin
#global extraver -2.7
%global pyver %{nil}
%global extraver %{nil}

%global with_python3 0
%global srcname queuelib

Name:           python%{pyver}-queuelib
Version:        1.0
Release:        3%{?dist}
Summary:        A collection of persistent (disk-based) queues

License:        BSD
URL:            https://github.com/scrapy/queuelib
Source0:        https://pypi.python.org/packages/source/q/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-nose

%description
Queuelib is a collection of persistent (disk-based) queues for
Python. Queuelib goals are speed and simplicity.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        A collection of persistent (disk-based) queues
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description -n python3-%{srcname}
Queuelib is a collection of persistent (disk-based) queues for
Python. Queuelib goals are speed and simplicity.
%endif # if with_python3

%prep
%setup -q -n %{srcname}-%{version}
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # if with_python3

%build
%{__python} setup.py build
%if 0%{?with_python3}
# Python 3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # if with_python3

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%if 0%{?with_python3}
# Python 3
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif # if with_python3

%check
nosetests%{extraver} queuelib/tests
%if 0%{?with_python3}
# Python 3
pushd %{py3dir}
nosetests-3.3 queuelib/tests
popd
%endif # if with_python3

%files
%doc LICENSE NEWS README.rst
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}*.egg-info

%if 0%{?with_python3}
# Python 3
%files -n python3-%{srcname}
%doc LICENSE NEWS README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.egg-info
%endif # with_python3

%changelog
* Mon Oct 07 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-3
- Naming of Py3 package updated

* Mon Sep 09 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-2
- Python macro updated

* Wed Sep 04 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-1
- Initial spec file for Fedora
